Method: projects.optimizeToursUri

  • This method, projects.optimizeToursLongRunning, is designed for route optimizations with large timeout values and input/output sizes, using Google Cloud Storage for request and response data.

  • It is preferred for optimizations that take longer than a few minutes or have input/output sizes larger than 8MB, although it can also handle smaller optimizations.

  • The request uses a POST method to a specific URL, requiring the parent project or location, with input and output URIs for data storage in Google Cloud Storage.

  • Successful execution returns a long-running operation (LRO) that can be used to track the progress of the computation, with metadata and response fields containing specific data.

  • The method requires OAuth scope https://www.googleapis.com/auth/cloud-platform and the IAM permission routeoptimization.operations.create on the parent resource.

This is a variant of the projects.optimizeToursLongRunning method designed for optimizations with large timeout values and large input/output sizes.

The client specifies the URI of the OptimizeToursRequest stored in Google Cloud Storage and the server writes the OptimizeToursResponse to a client-specified Google Cloud Storage URI.

This method should be preferred over the projects.optimizeTours method for optimizations that take longer than a few minutes and input/output sizes that are larger than 8MB, though it can be used for shorter and smaller optimizations as well.

The returned long-running operation (LRO) will have a name of the format <parent>/operations/<operation_id> and can be used to track progress of the computation. The metadata field type is OptimizeToursLongRunningMetadata. The response field type is OptimizeToursUriResponse, if successful.

HTTP request

POST https://routeoptimization.googleapis.com/v1/{parent=projects/*}:OptimizeToursUri

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Target project or location to make a call.

Format: * projects/{project-id} * projects/{project-id}/locations/{location-id}

If no location is specified, a region will be chosen automatically.

Request body

The request body contains data with the following structure:

JSON representation
{
  "input": {
    object (Uri)
  },
  "output": {
    object (Uri)
  }
}
Fields
input

object (Uri)

Required. The URI of the Cloud Storage object containing the OptimizeToursRequest.

output

object (Uri)

Required. The URI of the Cloud Storage object that will contain the OptimizeToursResponse.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

IAM Permissions

Requires the following IAM permission on the parent resource:

  • routeoptimization.operations.create

For more information, see the IAM documentation.